/*
 * R-Script Sample 3
 *---
 */

// Get an interface to the RsdANIM application
var app=new RSrsdanim();
// Get a model, and load it from the current edit frame model
//  in the main RsdANIM program
var m=new RSmodel(true);

/*
 * Simple function to print out the vertices of a model
 */
function DumpVertices()
{
	var f;

	base_io.writeln("Model has "+m.n_vert+" vertices");

	for(f=0; f<m.n_vert; f++)
	{
		base_io.writeln("V["+f+"]="+m.vert[f]);
	}
}

/*
 * Simple function to print out the polygons of a model
 */
function DumpPolygons()
{
	var f;

	app.writeln("Model has "+m.n_poly+" polygons");

	for(f=0; f<m.n_poly; f++)
	{
		app.writeln("P["+f+"]="+m.poly[f]);
	}
}


function Flatten()
{
	var ddd;

	app.writeln("Flatten Model ");

	for(ddd=0; ddd<m.n_vert; ddd++)
	{
		m.vert[ddd].y=m.vert[ddd].y/2.0f;
	}
}

function WriteBack()
{
	app.writeln("PutEditFrame");
	m.PutEditFrame();
	app.Redraw();
}

function Shrink()
{
	var zzz;
	
	for(zzz=0; zzz<10; zzz++)
	{
		Flatten();
		m.PutEditFrame();
		app.Redraw();
	}
}


